package com.red.circle.wallet.infra.database.cache.service;

/**
 * 钱包银行卡缓存服务.
 *
 * @author pengliang on 2023/2/21
 */
public interface WalletBankCacheService {

  /**
   * 本月是否已提现, true 已提现， false 未提现.
   */
  boolean checkMonthWithdrawal(Long userId);

  /**
   * 移除本月提现标记.
   */
  void removeMonthWithdrawal(Long userId);

  /**
   * 设置本月已提现.
   */
  void setMonthWithdrawal(Long userId);

}
